@font-face {
    font-family: "Regular";
    font-style: normal;
    font-weight: normal;
    src: url("fonts/regular.ttf") format("truetype");
}

@font-face {
    font-family: "Bold";
    font-style: normal;
    font-weight: normal;
    src: url("fonts/bold.ttf") format("truetype");
}

body {
    margin: 0;
    font-family: "Bold";
    display: flex;
    flex-direction: column;
    height: 100svh;
    background-color: var(--background-color);
    opacity: 0;
    transition-delay: 0.01s;
    min-width: 360px;
}

main {
    display: none;
    width: 100%;
    height: 100%;
    font-family: "Bold";
    flex-direction: column;
    justify-content: space-evenly;
}

.header {
    background-color: var(--header-background-color);
    color: var(--text-color);
    font-size: 1.2em;
    text-align: center;
    display: flex;
    justify-content: center;
    align-items: center;
    padding: 2rem;
}

.header__image {
    width: 100%;
    max-height: 80px;
    display: block;
    margin: 0 auto;
}

.image-section {
    display: flex;
    justify-content: center;
    align-items: center;
    min-height: 0;
    padding: 0px;
}

.text-section {
    flex: 1;
    display: flex;
    justify-content: center;
    align-items: center;
    flex-direction: column;
    min-height: 0;
    padding: 20px;
    height: 100%;

    h1,
    p {
        max-width: 400px;
        text-align: center;
    }

    h1 {
        margin: 0;
        margin-bottom: 20px;
        font-size: 40px;
        font-family: "Bold";
        color: #FFF;
    }

    p {
        font-size: 20px;
        margin: 0;
    }

    .text-section--privacy {
        font-family: "Regular";
        color: #EEE;
        max-width: 90%;
        max-height: 80svh;
        overflow-y: scroll;
        padding-right: 10px;
        scrollbar-width: thin;
        scrollbar-color: white rgba(0, 0, 0, 0.2);

        h1, h2 {
            font-family: "Bold";
            color: var(--header-background-color);
            max-width: 100%;
        }

        p {
            font-size: 16px;
            text-align: left;
            margin: 0;
            margin-bottom: 16px;
            width: 100%;
            max-width: unset;
        }

        blockquote {
            font-style: italic;
            font-size: 0.2rem !important;
            border-left: var(--header-background-color) 2px solid;
            margin: 20px 0;
            padding: 0 0 0 20px;
        }

        a {
            color: var(--header-background-color);
            text-decoration: none;
        }
    }
}

.image-section img {
    max-width: 100%;
    max-height: 100%;
    width: 100%;
    max-width: 700px;
    object-fit: contain;
}

.footer {
    position: relative;
    display: flex;
    flex-direction: column;
    gap: 16px;
    background-color: var(--footer-background-color);
    background: none;
    color: black;
    padding: 20px;
    align-items: center;
    /* gap: 16px; */
}

.footer__img {
    position: fixed;
    z-index: -10;
    bottom: -5svh;
    right: -4svh;
    width: auto;
    height: 28svh;
    object-fit: contain;
}

.footer__buttons {
    display: flex;
    gap: 24px;
    width: 100%;
    max-width: 360px;
}

.footer__copy {
    display: none;
    align-items: center;
    justify-content: center;
}

.footer__buttons button {
    background-color: var(--footer-button-color);
    color: var(--text-color);
    border: none;
    padding: 0.3rem 20px;
    border-radius: 64px;
    cursor: pointer;
    font-size: 1.2rem;
    line-height: 1.4em;
    width: 70%;
    text-align: center;
    font-family: "Regular";
    transition: opacity 0.3s;
    text-transform: uppercase;
    outline: 0.2rem dotted #F00;
    outline-offset: -0.1rem;
}

.footer__buttons button:last-child {
    color: rgba(108, 0, 26, 1);
    /* border: 2px solid var(--footer-text-color); */
}

.footer__buttons button:hover {
    opacity: 0.7;
}

.footer__text {
    font-size: 0.5rem;
    font-family: "Regular";
    color: var(--footer-text-color);
    text-align: center;
    display: flex;
    align-items: center;
    gap: 8px;
    white-space: nowrap;
}

.footer__bottom {
    width: 360px;
    display: flex;
    align-items: center;
    justify-content: center;

    @media (max-width: 400px) {
        width: 100%;
    }
}

.footer__logo {
    height: 2rem;
    max-height: 2rem;
    object-fit: cover;
}

.footer__policy {
    font-size: 0.5rem;
    color: var(--footer-text-color);
    text-decoration: underline;
    transition: color 0.3s;
    font-family: "Regular";
    text-transform: uppercase;
}

.text-section__image {
    width: 15rem;
    height: auto;
    object-fit: contain;
}

.text-section__text {
    color: rgba(255, 152, 16, 1);
    font-family: "Bold";
    text-transform: uppercase;
}

.text-section__text>p {
    color: #FFF;
    font-family: "Regular";
}

.text-section__text>p:last-of-type {
    color: rgba(255, 152, 16, 1);
    font-size: 0.6rem;
}

.text-section__text a {
    color: inherit;
}